curl --request GET \
--globoff \
--url 'https://api.themoviedb.org/3/person/{{person_id}}'import requests
url = "https://api.themoviedb.org/3/person/{{person_id}}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/person/{{person_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/person/{{person_id}}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/person/{{person_id}}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/person/{{person_id}}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/person/{{person_id}}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"adult": false,
"also_known_as": [
"クァク・ジェヨン",
"Квак Чэ Ён",
" Kwak Jae-young"
],
"biography": "Kwak Jae-yong is a South Korean film director and screenwriter. He studied physics at Kyung Hee University. He achieved success with his debut film Watercolor Painting in a Rainy Day in 1989, but the failure of his next two movies led to eight years of unemployment before a comeback with the smash-hit film My Sassy Girl in 2001. He is known for his limitless fondness of love stories set in a mix of different genres.\n\nDescription above from the Wikipedia article Kwak Jae-yong, licensed under CC-BY-SA, full list of contributors on Wikipedia.",
"birthday": "1959-05-22",
"deathday": null,
"gender": 2,
"homepage": null,
"id": 63429,
"imdb_id": "nm1030706",
"known_for_department": "Directing",
"name": "Kwak Jae-yong",
"place_of_birth": "Suwon, Gyeonggi, South Korea",
"popularity": 458.071,
"profile_path": "/oTpZ0Ek4qoI8U0tRIViUhgfB05b.jpg"
}Details
Query the top level details of a person.
Append To Response
This method supports using append_to_response. Read more about this here.
Genders
| Value | Gender |
|----------------------|----------------------------|
| 0 | Not set / not specified |
| 1 | Female |
| 2 | Male |
| 3 | Non-binary |
curl --request GET \
--globoff \
--url 'https://api.themoviedb.org/3/person/{{person_id}}'import requests
url = "https://api.themoviedb.org/3/person/{{person_id}}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/person/{{person_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/person/{{person_id}}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/person/{{person_id}}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/person/{{person_id}}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/person/{{person_id}}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"adult": false,
"also_known_as": [
"クァク・ジェヨン",
"Квак Чэ Ён",
" Kwak Jae-young"
],
"biography": "Kwak Jae-yong is a South Korean film director and screenwriter. He studied physics at Kyung Hee University. He achieved success with his debut film Watercolor Painting in a Rainy Day in 1989, but the failure of his next two movies led to eight years of unemployment before a comeback with the smash-hit film My Sassy Girl in 2001. He is known for his limitless fondness of love stories set in a mix of different genres.\n\nDescription above from the Wikipedia article Kwak Jae-yong, licensed under CC-BY-SA, full list of contributors on Wikipedia.",
"birthday": "1959-05-22",
"deathday": null,
"gender": 2,
"homepage": null,
"id": 63429,
"imdb_id": "nm1030706",
"known_for_department": "Directing",
"name": "Kwak Jae-yong",
"place_of_birth": "Suwon, Gyeonggi, South Korea",
"popularity": 458.071,
"profile_path": "/oTpZ0Ek4qoI8U0tRIViUhgfB05b.jpg"
}Path Parameters
Query Parameters
"en-US"
Response
Details
false
["クァク・ジェヨン", "Квак Чэ Ён", " Kwak Jae-young"]
"Kwak Jae-yong is a South Korean film director and screenwriter. He studied physics at Kyung Hee University. He achieved success with his debut film Watercolor Painting in a Rainy Day in 1989, but the failure of his next two movies led to eight years of unemployment before a comeback with the smash-hit film My Sassy Girl in 2001. He is known for his limitless fondness of love stories set in a mix of different genres.\n\nDescription above from the Wikipedia article Kwak Jae-yong, licensed under CC-BY-SA, full list of contributors on Wikipedia."
"1959-05-22"
2
63429
"nm1030706"
"Directing"
"Kwak Jae-yong"
"Suwon, Gyeonggi, South Korea"
458.071
"/oTpZ0Ek4qoI8U0tRIViUhgfB05b.jpg"